case-insensitive-1.2.1.0: Case insensitive string comparison

Copyright | (c) 2011-2013 Bas van Dijk
License | BSD-style (see the file LICENSE)
Maintainer | Bas van Dijk <v.dijk.bas@gmail.com>
Safe Haskell | Unsafe
Language | Haskell98

Data.CaseInsensitive.Unsafe

Description

Provides an unsafe way to create a case insensitive string-like value.

Synopsis

- unsafeMk :: FoldCase s => s -> CI s

# Documentation

unsafeMk :: FoldCase s => s -> CI s Source #

Constructs a `CI` from an already case folded string-like value. The given string is used both as the `original` as well as the `foldedCase`.

This function is unsafe since the compiler can't guarantee that the provided string is case folded.